package ibase.webitm.ejb.wms;

import java.rmi.RemoteException;
import ibase.webitm.utility.ITMException;
import ibase.webitm.ejb.ActionHandlerRemote;

@javax.ejb.Remote
public interface AsnConfRemote extends ActionHandlerRemote
{
	public String confirm(String tranId, String xtraParams, String forcedFlag) throws RemoteException,ITMException;
	public String generatePurcReceipt(String tranId, String xtraParams, String forcedFlag) throws RemoteException,ITMException;
	public String generatePurcOrder(String tranId, String xtraParams, String forcedFlag) throws RemoteException,ITMException;
}